How to make a simple clashtest?

Hello,

how can i make a simple clashtest f.e. doors vs ceilings and filter out intersecting elements


KR
Andreas

Hi Andreas does it work if set lacing to cross in the intersect nodes

1 Like

@sovitek

i get ‚Äúsomething‚ÄĚ


how can i relate that to an object.
KR
Andreas

1 Like

then i would use does intersect or try bimorph fast intersecting nodes…

and here with bimorph much faster with big dataset…

1 Like

@sovitek ,

it remains empty

in the background you can see the intersection…

my pythoncode works well


import clr
import sys 

clr.AddReference('RevitAPI')
from Autodesk.Revit.DB import *
from Autodesk.Revit.DB.Structure import *

clr.AddReference('RevitServices')
import RevitServices
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager

doc = DocumentManager.Instance.CurrentDBDocument
uidoc=DocumentManager.Instance.CurrentUIApplication.ActiveUIDocument

#collector
collector = FilteredElementCollector(doc).OfCategory(BuiltInCategory.OST_Doors)
all_doors = collector.WhereElementIsNotElementType().ToElements()

collectors = FilteredElementCollector(doc).OfCategory(BuiltInCategory.OST_Ceilings)
all_ceilings = collectors.WhereElementIsNotElementType().ToElements()



OUT = all_doors, all_ceilings

KR

Andreas

1 Like

Hej …hmm probably you need set bimorph to longest…is something here better…

1 Like

@sovitek ,

i have no idea

KR

Andreas

does it work if you flatten your solids before bimorph

1 Like

@sovitek ,

i get output but it is still wrong…

3 of them are in a clash

KR

Andreas

not sure then,is it the latest bimorp version…you are welcome to share your sample rvt file, and i can see if i can get it to work…

1 Like

@sovitek
Projekt99.rvt (1.2 MB)

maybe it is realy bimmorphenodes

KR

Andreas

Yeah it could be…but a funny thing is it actuelly only see 2 clashes in when in 3d and BIMorph give 3 i guess its becoarse that node intesect symbolic lines as well (doorswing in plan) the ootb way gives 2 becourse its solid vs solid without lines…

1 Like

@sovitek ,

no idea…

it does not work, intersection is just 1cm around!

i get no result

KR

Andreas

1 Like

hmmm try remove solid union from your ceiling so you have 11 solids/ceilings, I guess you only have 8 doors, what does element solid from doors give you ? try set solid union to list level 2, and try cross in your intersect node and L2 in your mask…what does bimorph give you ?
andreasHome.dyn (26.9 KB)

1 Like